Bug 1572977 - [RFE] If libvirt packages are installed on metrics store machine
Summary: [RFE] If libvirt packages are installed on metrics store machine
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.6.z
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1562103
TreeView+ depends on / blocked
 
Reported: 2018-04-29 11:54 UTC by Shirly Radco
Modified: 2018-08-23 12:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1562103
Environment:
Last Closed: 2018-08-23 12:22:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Shirly Radco 2018-04-29 11:54:27 UTC
Description of problem:

If libvirt packages are installed on the OpenShift machine, user will run into all sorts of problems related to name resolution and DNS.

For example, the pods will not start, will be in the Error state, and will have messages like this: tcp: lookup kubernetes.default.svc.cluster.local: no such host"

Version-Release number of selected component (if applicable):
3.6

How reproducible:


Steps to Reproduce:
1. Install libvirt on the metrics store machine
2. Install OpenShift logging

Actual results:
DNS issues

Expected results:
Either check if libvirt packages are installed and abort the installation and alert the user or fix the problem that causes the issues with libvirt.

Comment 1 Jeff Cantrill 2018-04-30 01:49:01 UTC
This doesn't seem specifically related to logging.

Comment 2 Rich Megginson 2018-04-30 03:03:16 UTC
This is not logging specific.  You will run into the same problems if you try to install OpenShift on a machine where dnsmasq configured as in libvirt is running.  Maybe the installer can check to see if dnsmasq is running in a configuration that will conflict with OpenShift.

Comment 3 Stephen Cuppett 2018-08-23 12:22:02 UTC
At this point, new installs should be using leveraging a more recent release. If this issue needs addressed or is still present and recreated on a more recent release, please reopen with those details.


Note You need to log in before you can comment on or make changes to this bug.